| AnyConnect Secure Mobility Client 5.1.10.233

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
PreferenceBase Class Reference

## Public Member Functions
const PreferenceId & | getPreferenceId () const
PreferenceScope | getPreferenceScope () const
const tstring & | getPreferenceValue () const
bool | setPreferenceValue (const tstring &value)
bool | getPreferenceAttribute (const PreferenceAttribute &attribute)
void | setPreferenceAttribute (const PreferenceAttribute &attribute, bool value)
const PreferenceList & | getChildren () const
void | addChildPreference (Preference *pPref)
void | removeChildPreference (Preference *pPref)
PromptEntry * | getPromptEntry () const
PreferenceBase & | operator= (const PreferenceBase &existingPref)
| PreferenceBase (const PreferenceBase &existingPref)

## Static Public Member Functions
static Preference * | createPreferenceFromId (PreferenceId prefId)
static tstring | getPreferenceNameFromId (PreferenceId prefId)
static PreferenceId | getPreferenceIdFromName (const tstring &name)
static PreferenceAttribute | getAttributeIdFromName (const tstring &attributeName)
static tstring | getAttributeNameFromId (const PreferenceAttribute attrId)
static PreferenceId | getParentId (const PreferenceId prefId)
static PreferenceScope | getPreferenceScopeFromId (PreferenceId prefId)
static tstring | getDefaultValue (PreferenceId prefId)
static bool | getDefaultAttribute (PreferenceId prefId, PreferenceAttribute attribute)
static bool | isParentPreference (const PreferenceId prefId)
static bool | isPreferenceDefined (const PreferenceId prefId)
static bool | isValidPreference (const PreferenceId prefId)

## Static Public Attributes
static const tstring | PreferenceEnabled
static const tstring | PreferenceDisabled
static const tstring | DisconnectOnSuspend
static const tstring | ReconnectAfterResume
static const tstring | AllStores
static const tstring | MachineStore
static const tstring | UserStore
static const tstring | SystemStore
static const tstring | LoginStore
static const tstring | UserFirefoxNSS
static const tstring | UserPEMFile
static const tstring | Automatic
static const tstring | SoftwareToken
static const tstring | HardwareToken
static const tstring | SingleLogon
static const tstring | SingleLocalLogon
static const tstring | SingleLogonNoRemote
static const tstring | LocalUsersOnly
static const tstring | AllowRemoteUsers
static const tstring | ProxyNative
static const tstring | ProxyIgnoreProxy
static const tstring | ProxyOverride
static const tstring | PPPExclusionAutomatic
static const tstring | PPPExclusionDisable
static const tstring | PPPExclusionOverride
static const tstring | Connect
static const tstring | Pause
static const tstring | Disconnect
static const tstring | DoNothing
static const tstring | SameUserOnly
static const tstring | AnyUser
static const tstring | PasswordComplexityAlpha
static const tstring | PasswordComplexityPin
static const tstring | PasswordComplexityStrong
static const tstring | Open
static const tstring | Closed
static const tstring | IPv4
static const tstring | IPv6
static const tstring | IPv4_IPv6
static const tstring | IPv6_IPv4

## Protected Member Functions
| PreferenceBase (PreferenceId preferenceId, const tstring &label, PromptType prefType, const tstring &initialValue, ApiStringMap *pOptions=NULL, Preference *pParent=NULL)

## Constructor & Destructor Documentation

## ◆ PreferenceBase()

PreferenceBase::PreferenceBase | ( | const PreferenceBase & | existingPref | ) |
| inline explicit

94 {
95 deepCopy(existingPref);
96 }

## Member Function Documentation

## ◆ operator=()

PreferenceBase & PreferenceBase::operator= | ( | const PreferenceBase & | existingPref | ) |
| inline

87 {
88 return deepCopy(existingPref);
89 }